[arch-commits] Commit in vagrant-substrate/repos (4 files)

Jonathan Steel jsteel at archlinux.org
Thu Mar 23 20:45:49 UTC 2017


    Date: Thursday, March 23, 2017 @ 20:45:48
  Author: jsteel
Revision: 218558

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  vagrant-substrate/repos/community-staging-i686/
  vagrant-substrate/repos/community-staging-i686/PKGBUILD
    (from rev 218557, vagrant-substrate/trunk/PKGBUILD)
  vagrant-substrate/repos/community-staging-x86_64/
  vagrant-substrate/repos/community-staging-x86_64/PKGBUILD
    (from rev 218557, vagrant-substrate/trunk/PKGBUILD)

-----------------------------------+
 community-staging-i686/PKGBUILD   |   72 ++++++++++++++++++++++++++++++++++++
 community-staging-x86_64/PKGBUILD |   72 ++++++++++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

Copied: vagrant-substrate/repos/community-staging-i686/PKGBUILD (from rev 218557, vagrant-substrate/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2017-03-23 20:45:48 UTC (rev 218558)
@@ -0,0 +1,72 @@
+# Maintainer: Jonathan Steel <jsteel at archlinux.org>
+
+pkgname=vagrant-substrate
+_pkgname=vagrant-installers
+pkgver=582.d66af96
+pkgrel=2
+pkgdesc="Substrate layer for Vagrant"
+arch=('i686' 'x86_64')
+url="http://vagrantup.com"
+license=('MIT')
+options=('!emptydirs' '!makeflags')
+makedepends=('git' 'puppet' 'chrpath' 'wget')
+depends=('lzo')
+source=(git://github.com/mitchellh/$_pkgname.git#commit=d66af96)
+md5sums=('SKIP')
+
+pkgver() {
+  cd $_pkgname
+
+  echo $(git rev-list --count HEAD).$(git describe --always)
+}
+
+prepare() {
+  cd $_pkgname/substrate
+
+  # Use $srcdir for the working directory
+  sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
+    hiera/common.yaml
+  sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
+    hiera/common.yaml
+
+  # Use latest openssl
+  sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
+    modules/openssl/manifests/init.pp
+  # Disable SSLv3
+  sed -i '16 s/shared/shared no-ssl3-method/' \
+    modules/openssl/manifests/install/linux.pp
+
+  # Don't create a zip of the substrate
+  sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
+
+  # Do not set file ownership
+  find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
+  find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
+
+  # Fix compile issues
+  # https://github.com/mitchellh/vagrant-installers/issues/60
+  sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
+  # chmod u+w the file before chrpath
+  sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
+    modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
+}
+
+build() {
+  cd $_pkgname/substrate
+
+  FACTER_param_output_dir="$srcdir" puppet apply \
+    --detailed-exitcodes \
+    --hiera_config=config/hiera.yaml --confdir=config \
+    --modulepath=modules manifests/init.pp || test $? -eq 2
+}
+
+package() {
+  cd $_pkgname
+
+  install -d "$pkgdir"/opt
+
+  cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
+
+  install -Dm644 LICENSE.md \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}

Copied: vagrant-substrate/repos/community-staging-x86_64/PKGBUILD (from rev 218557, vagrant-substrate/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-03-23 20:45:48 UTC (rev 218558)
@@ -0,0 +1,72 @@
+# Maintainer: Jonathan Steel <jsteel at archlinux.org>
+
+pkgname=vagrant-substrate
+_pkgname=vagrant-installers
+pkgver=582.d66af96
+pkgrel=2
+pkgdesc="Substrate layer for Vagrant"
+arch=('i686' 'x86_64')
+url="http://vagrantup.com"
+license=('MIT')
+options=('!emptydirs' '!makeflags')
+makedepends=('git' 'puppet' 'chrpath' 'wget')
+depends=('lzo')
+source=(git://github.com/mitchellh/$_pkgname.git#commit=d66af96)
+md5sums=('SKIP')
+
+pkgver() {
+  cd $_pkgname
+
+  echo $(git rev-list --count HEAD).$(git describe --always)
+}
+
+prepare() {
+  cd $_pkgname/substrate
+
+  # Use $srcdir for the working directory
+  sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
+    hiera/common.yaml
+  sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
+    hiera/common.yaml
+
+  # Use latest openssl
+  sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
+    modules/openssl/manifests/init.pp
+  # Disable SSLv3
+  sed -i '16 s/shared/shared no-ssl3-method/' \
+    modules/openssl/manifests/install/linux.pp
+
+  # Don't create a zip of the substrate
+  sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
+
+  # Do not set file ownership
+  find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
+  find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
+
+  # Fix compile issues
+  # https://github.com/mitchellh/vagrant-installers/issues/60
+  sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
+  # chmod u+w the file before chrpath
+  sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
+    modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
+}
+
+build() {
+  cd $_pkgname/substrate
+
+  FACTER_param_output_dir="$srcdir" puppet apply \
+    --detailed-exitcodes \
+    --hiera_config=config/hiera.yaml --confdir=config \
+    --modulepath=modules manifests/init.pp || test $? -eq 2
+}
+
+package() {
+  cd $_pkgname
+
+  install -d "$pkgdir"/opt
+
+  cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
+
+  install -Dm644 LICENSE.md \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list